<template>
    <app-layout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Create Post
            </h2>
        </template>
        <div class="mt-5 md:mt-0 md:col-span-2">
            <form @submit.prevent="submit">
                <div class="shadow overflow-hidden sm:rounded-md">
                    <div class="px-4 py-5 bg-white sm:p-6">
                        <div class="grid grid-cols-6 gap-6">
                            <div class="col-span-6 sm:col-span-3">
                                <label for="url_code" class="block text-sm font-medium text-gray-700">Url Code</label>
                                <input type="text" name="first-name" id="url_code" v-model="form.url_code"
                                       class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md">
                                <div class="text-red-500" v-if="form.errors.url_code">{{ form.errors.url_code }}</div>
                            </div>
                            <div class="col-span-6 sm:col-span-3">
                                <label for="last-name" class="block text-sm font-medium text-gray-700">Title</label>
                                <input type="text" name="last-name" id="last-name" v-model="form.title"
                                       class="mt-1 focus:ring-indigo-500 focus:border-indigo-500 block w-full shadow-sm sm:text-sm border-gray-300 rounded-md">
                                <div class="text-red-500" v-if="form.errors.title">{{ form.errors.title }}</div>
                            </div>
                        </div>
                        <div>
                            <label for="text" class="block text-sm font-medium text-gray-700">
                                Text
                            </label>
                            <div class="mt-1">
                                <textarea id="text" name="text" v-model="form.text" rows="3"
                                          class="shadow-sm focus:ring-indigo-500 focus:border-indigo-500 mt-1 block w-full sm:text-sm border border-gray-300 rounded-md"
                                          placeholder="Description"></textarea>
                                <div class="text-red-500" v-if="form.errors.text">{{ form.errors.text }}</div>
                            </div>
                            <p class="mt-2 text-sm text-gray-500">
                                Text of Press Release
                            </p>
                        </div>
                        <label
                            class="w-64 flex flex-col items-center px-4 py-6 bg-white rounded-md shadow-md tracking-wide uppercase border border-blue cursor-pointer hover:bg-purple-600 hover:text-white text-purple-600 ease-linear transition-all duration-150">
                            <i class="fas fa-cloud-upload-alt fa-3x"></i>
                            <span class="mt-2 text-base leading-normal">Preview Image</span>
                            <input type="file" name="preview_image" accept="image/*" @change="processPreviewImage($event)" class="hidden" />
                            <div v-if="preview_image" id="preview">
                                <img :src="preview_image" alt=""/>
                            </div>
                        </label>
                        <label
                            class="w-64 flex flex-col items-center px-4 py-6 bg-white rounded-md shadow-md tracking-wide uppercase border border-blue cursor-pointer hover:bg-purple-600 hover:text-white text-purple-600 ease-linear transition-all duration-150">
                            <i class="fas fa-cloud-upload-alt fa-3x"></i>
                            <span class="mt-2 text-base leading-normal">High Image</span>
                            <input type="file" name="high_image" @change="processHighImage($event)" class="hidden" />
                            <div v-if="high_image" id="high_image">
                                <img :src="high_image" alt=""/>
                            </div>
                        </label>
                        <label
                            class="w-64 flex flex-col items-center px-4 py-6 bg-white rounded-md shadow-md tracking-wide uppercase border border-blue cursor-pointer hover:bg-purple-600 hover:text-white text-purple-600 ease-linear transition-all duration-150">
                            <i class="fas fa-cloud-upload-alt fa-3x"></i>
                            <span class="mt-2 text-base leading-normal">Low Image</span>
                            <input type="file" name="low_image" @change="processLowImage($event)" class="hidden" />
                            <div v-if="low_image" id="low_image">
                                <img :src="low_image" alt=""/>
                            </div>
                        </label>
                        <div class="flex items-start">
                            <div class="flex items-center h-5">
                                <input id="active" v-model="form.active" name="active" type="checkbox"
                                       class="focus:ring-indigo-500 h-4 w-4 text-indigo-600 border-gray-300 rounded">
                            </div>
                            <div class="ml-3 text-sm">
                                <label for="active" class="font-medium text-gray-700">Active</label>
                            </div>
                        </div>
                    </div>
                    <div class="px-4 py-3 bg-gray-50 text-right sm:px-6">
                        <a href="#" @click="back" type="submit"
                                class="mr-4 inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-black bg-white hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Cancel
                        </a>
                        <button type="submit"
                                class="inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                            Submit
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </app-layout>
</template>

<script>
import {reactive} from 'vue'
import {Inertia} from '@inertiajs/inertia'
import AppLayout from "@/Layouts/AppLayout";
import { useForm } from '@inertiajs/inertia-vue3'

export default {
    components: {
        AppLayout,
    },
    data() {
        return {
            preview_image: '',
            low_image: '',
            high_image: '',
        }
    },
    setup(props) {
        const form = useForm({
            url_code: null,
            title: null,
            text: null,
            active: true,
            preview_image: null,
            high_image: null,
            low_image: null,
        })

        return { form }
    },
    mounted() {
      console.log(this.preview_image)
    },
    methods: {
        back(){
            window.history.back();
        },
        processHighImage(event) {
            const file = event.target.files[0];
            this.form.high_image = file;
            this.high_image = URL.createObjectURL(file);
        },
        processLowImage(event) {
            const file = event.target.files[0];
            this.form.low_image = file;
            this.low_image = URL.createObjectURL(file);
        },
        processPreviewImage(event) {
            const file = event.target.files[0];
            this.form.preview_image = file;
            this.preview_image = URL.createObjectURL(file);
        },
        submit() {
            this.form.post(route('posts.store'))
        },
    }
}
</script>
